﻿$ErrorActionPreference = "Stop";

$packageArgs = @{
  packageName = $env:ChocolateyPackageName
  softwareName = "dashlane*"
  fileType = "exe"
  silentArgs = "/SD"
  url = "https://d3qm0vl2sdkrc.cloudfront.net/releases/6.0.0/6.0.0.10822/release/DashlaneInst.exe"
  validExitCodes = @(0,1223)
  checksum = "341022dece4576a54b62c4dfff279b8eed551cbe"
  checksumType = "sha1"
};

Install-ChocolateyPackage @packageArgs

$installLocation = Get-AppInstallLocation $packageArgs.softwareName
if ($installLocation) {
  Write-Host "$packageName installed to '$installLocation'"
} else {
  Write-Warning "Can't find install location"
}

Start-Sleep -Seconds 20

Get-Process -Name $packageArgs.softwareName | foreach {
  Write-Host "Stopping $($_.ProcessName) process ($($_.Id)) ..."
  Stop-Process $_
}
